Subject: Re: [bug#55606] [PATCH 2/2] gnu: Add hare.

From: Maxime Devos <[email-masked]>
Date: Sun, 26 Jun 2022 16:53:59 +0200

Maxime Devos schreef op zo 26-06-2022 om 16:44 [+0200]:
> Antero Mejr schreef op zo 26-06-2022 om 10:33 [-0400]:
> > I was going to use
> > "Hare programming language build driver and standard library"
> > in the next patch.
> 
> I don't have a clue what a ‘build driver’ is (a kernel-style driver +
> something about building -> a compiler inside the (Linux) kernel? 
> Doesn't seem to apply here).  I'd use ‘compiler’ instead, which I
> believe to be more widely understood (e.g., it has an entry on
> Wikipedia).
> 

Maybe nevermind.  From #guix:

14:47 < nckx> 'The build driver is responsible for collecting input files, 
              resolving their dependencies, and producing a plan for 
              compiling your program.' — 
              https://harelang.org/blog/2021-03-26-high-level-data-structures/
14:48 < nckx> Seemingly not synonymous.

although:

14:51 < maximed> (OTOH, technically 'gcc' isn't the compiler but 'cc1' is ...)

and yet we call 'gcc' a compiler and seems a bit of an implementation detail
to me, so I dunno.

Greetings,
Maxime.